Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.acl
Class AclEntryImpl

    java.lang.Object
      |
      +--weblogic.security.acl.AclEntryImpl

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by the rules-based Authorization Provider in the Pluggable Security Infrastructure.

public final class AclEntryImpl
extends java.lang.Object
implements java.security.acl.AclEntry

This class implements the AclEntry interface, which is used to represent one entry in an Access Control List (ACL).

An ACL is a data structure with multiple AclEntry objects. Each AclEntry object contains a set of permissions associated with a particular principal, which represents an entity such as an individual user or a group.

Additionally, each AclEntry is specified as either positive or negative. If positive, the permissions are to be granted to the associated principal. If negative, the permissions are to be denied. Each principal can have at most one positive AclEntry and one negative entry; that is, multiple positive or negative AclEntries are not allowed for any principal.

An AclEntry is by default positive. An entry becomes a negative entry only if the `setNegativePermissions()` method is called on it.

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
See Also:
  `Acl`, `AclImpl`

Constructor Summary
`AclEntryImpl(java.security.Principal principal)` Deprecated. Constructs an entry for the specified Principal.
`AclEntryImpl(java.security.Principal principal, java.security.acl.Permission permission)` Deprecated. Constructs an entry for the specified Principal with the specified permission.
`AclEntryImpl(java.security.Principal principal, java.security.acl.Permission[] permissions)` Deprecated. Constructs an entry for the specified Principal with the specified set of permission.

Method Summary
`boolean` | `addPermission(java.security.acl.Permission permission)` Deprecated. Adds the specified permission to this ACL entry.
`boolean` | `checkPermission(java.security.acl.Permission permission)` Deprecated. Determines whether the specified permission is part of the permission set in an AclEntry.
`java.lang.Object` | `clone()` Deprecated. Clones an AclEntry.
`java.security.Principal` | `getPrincipal()` Deprecated. Returns the principal for which permissions are granted or denied by an AclEntry, or null if there is no principal set.
`boolean` | `isNegative()` Deprecated. Determines whether this is a negative AclEntry, that is, one that denies the associated principal the set of permissions in the entry.
`java.util.Enumeration` | `permissions()` Deprecated. Returns an enumeration of the permissions in this AclEntry.
`boolean` | `removePermission(java.security.acl.Permission permission)` Deprecated. Removes the specified permission from this ACL entry.
`void` | `setNegativePermissions()` Deprecated. Sets an AclEntry to be a negative one; that is, denies a principal the permission set specified in an AclEntry.
`boolean` | `setPrincipal(java.security.Principal principal)` Deprecated. Sets the principal for which permissions are granted or denied by an ACL entry.
`java.lang.String` | `toString()` Deprecated. Returns a string representation of the contents of an AclEntry.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AclEntryImpl

    public AclEntryImpl(java.security.Principal principal)

  Deprecated.
  Constructs an entry for the specified Principal.

  Parameters:
    `principal` - Principal associated with an AclEntry

### AclEntryImpl

    public AclEntryImpl(java.security.Principal principal,
                        java.security.acl.Permission permission)

  Deprecated.
  Constructs an entry for the specified Principal with the specified permission.

  Parameters:
    `principal` - Principal associated with an AclEntry
    `permission` - Permission granted to the associated principal

### AclEntryImpl

    public AclEntryImpl(java.security.Principal principal,
                        java.security.acl.Permission[] permissions)

  Deprecated.
  Constructs an entry for the specified Principal with the specified set of permission.

  Parameters:
    `principal` - Principal associated with an AclEntry
    `permission` - Array of permission granted to the associated principal

Method Detail

### setPrincipal

    public boolean setPrincipal(java.security.Principal principal)

  Deprecated.
  Sets the principal for which permissions are granted or denied by an ACL entry. If a principal was already set for this AclEntry, false is returned, otherwise true is returned.
  Specified by:
    setPrincipal in interface java.security.acl.AclEntry

  Parameters:
    `Principal` - to be associated with an AclEntry
  Returns:
    true if the principal is set by this method, false if there was already a principal for this entry.

### setNegativePermissions

    public void setNegativePermissions()

  Deprecated.
  Sets an AclEntry to be a negative one; that is, denies a principal the permission set specified in an AclEntry. An AclEntry is by default positive. An entry becomes a negative entry only if this method is called on it.
  Specified by:
    setNegativePermissions in interface java.security.acl.AclEntry

### isNegative

    public boolean isNegative()

  Deprecated.
  Determines whether this is a negative AclEntry, that is, one that denies the associated principal the set of permissions in the entry.
  Specified by:
    isNegative in interface java.security.acl.AclEntry

  Returns:
    true if this is a negative AclEntry

### addPermission

    public boolean addPermission(java.security.acl.Permission permission)

  Deprecated.
  Adds the specified permission to this ACL entry. An entry can have multiple permissions. If the permission is added, this method returns true; if the permission was already part of an AclEntry's permission set, this method returns false.
  Specified by:
    addPermission in interface java.security.acl.AclEntry

  Parameters:
    `permission` - Permission associated with the principal in an AclEntry
  Returns:
    true if the permission was added

### removePermission

    public boolean removePermission(java.security.acl.Permission permission)

  Deprecated.
  Removes the specified permission from this ACL entry. Returns true if the permission is removed, false if the permission is not part of an AclEntry's permission set.
  Specified by:
    removePermission in interface java.security.acl.AclEntry

  Parameters:
    `permission` - Permission to be removed from this entry
  Returns:
    true if the permission is removed

### checkPermission

    public boolean checkPermission(java.security.acl.Permission permission)

  Deprecated.
  Determines whether the specified permission is part of the permission set in an AclEntry.
  Specified by:
    checkPermission in interface java.security.acl.AclEntry

  Parameters:
    `permission` - Permission to be checked for
  Returns:
    true if the permission set is contained in this AclEntry

### permissions

    public java.util.Enumeration permissions()

  Deprecated.
  Returns an enumeration of the permissions in this AclEntry.
  Specified by:
    permissions in interface java.security.acl.AclEntry

  Returns:
    Enumeration

### toString

    public java.lang.String toString()

  Deprecated.
  Returns a string representation of the contents of an AclEntry.
  Specified by:
    toString in interface java.security.acl.AclEntry

  Returns:
    String representation
  Overrides:
    toString in class java.lang.Object

### clone

    public java.lang.Object clone()

  Deprecated.
  Clones an AclEntry.
  Specified by:
    clone in interface java.security.acl.AclEntry

  Returns:
    Clone of an AclEntry
  Overrides:
    clone in class java.lang.Object

### getPrincipal

    public java.security.Principal getPrincipal()

  Deprecated.
  Returns the principal for which permissions are granted or denied by an AclEntry, or null if there is no principal set.
  Specified by:
    getPrincipal in interface java.security.acl.AclEntry

  Returns:
    Principal associated with an AclEntry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference